cgi-3001.1.7.5: A library for writing CGI programs

Portability | non-portable (uses Control.Monad.State)
Stability | experimental
Maintainer | Anders Kaseorg <andersk@mit.edu>
Safe Haskell | None

Network.CGI.Compat

Description

Compatibility functions for the old Network.CGI API.

Synopsis

- data Html
- wrapper :: ([(String, String)] -> IO Html) -> IO ()
- pwrapper :: PortID -> ([(String, String)] -> IO Html) -> IO ()
- connectToCGIScript :: String -> PortID -> IO ()

# Documentation

data Html

Instances

Show Html |
Monoid Html |
HTML Html |
ADDATTRS Html |
CHANGEATTRS Html |

wrapper :: ([(String, String)] -> IO Html) -> IO ()Source

Deprecated: Use the new interface.

Compatibility wrapper for the old CGI interface. Output the output from a function from CGI environment and input variables to an HTML document.

pwrapper Source

Arguments

:: PortID | The port to run the server on.
-> ([(String, String)] -> IO Html) |
-> IO () |

Deprecated: Use the new interface.

Compatibility wrapper for the old CGI interface. Runs a simple CGI server. Note: if using Windows, you might need to wrap `withSocketsDo` around main.

connectToCGIScript :: String -> PortID -> IO ()Source

Deprecated: Use the new interface.

Note: if using Windows, you might need to wrap `withSocketsDo` around main.